from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import String, File

Anvi_Script_Merge_Collections_V0_1_0 = CommandToolBuilder(tool="anvi_script_merge_collections", base_command=["anvi-script-merge-collections"], inputs=[ToolInput(tag="in_contigs_db", input_type=String(optional=True), prefix="--contigs-db", doc=InputDocumentation(doc="Anvi'o contigs database generated by 'anvi-gen-\ncontigs-database' (default: None)")), ToolInput(tag="in_s_input_files", input_type=File(optional=True), prefix="-i", doc=InputDocumentation(doc="(S) [FILE(S) ...], --input-files FILE(S) [FILE(S) ...]\nInput file(s). TAB-delimited input files should have\ntwo columns, where the first column holds the contig\nname, and the second one the bin id. This is the\nstandard ouptut of the program anvi-export-collection.\n(default: None)")), ToolInput(tag="in_output_file", input_type=File(optional=True), prefix="--output-file", doc=InputDocumentation(doc="Output file name. (default: None)"))], outputs=[ToolOutput(tag="out_output_file", output_type=File(optional=True), selector=InputSelector(input_to_select="in_output_file", type_hint=File()), doc=OutputDocumentation(doc="Output file name. (default: None)"))], container="quay.io/biocontainers/anvio-minimal:7--py_0", version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Anvi_Script_Merge_Collections_V0_1_0().translate("wdl")

